Package wx :: Module aui :: Class AuiDockUIPart

[frames | no frames]

## Type AuiDockUIPart

    object --+
             |
            AuiDockUIPart

Proxy of C++ AuiDockUIPart class

Method Summary
| `__init__(self)`
| `__del__(self)`

Property Summary
| `button`
| `cont_sizer`
| `dock`
| `orientation`
| `pane`
| `rect`
| `sizer_item`
| `thisown`: The membership flag
| `type`

Class Variable Summary
`int` | `typeBackground` = 6
`int` | `typeCaption` = 0
`int` | `typeDock` = 2
`int` | `typeDockSizer` = 3
`int` | `typeGripper` = 1
`int` | `typePane` = 4
`int` | `typePaneBorder` = 7
`int` | `typePaneButton` = 8
`int` | `typePaneSizer` = 5

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1216196852(...)
  Set Method:
    unknown--1216196796(...)

Class Variable Details

### typeBackground

  Type:
    `int`
  Value:

        6

### typeCaption

  Type:
    `int`
  Value:

        0

### typeDock

  Type:
    `int`
  Value:

        2

### typeDockSizer

  Type:
    `int`
  Value:

        3

### typeGripper

  Type:
    `int`
  Value:

        1

### typePane

  Type:
    `int`
  Value:

        4

### typePaneBorder

  Type:
    `int`
  Value:

        7

### typePaneButton

  Type:
    `int`
  Value:

        8

### typePaneSizer

  Type:
    `int`
  Value:

        5

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:29 2007 | http://epydoc.sf.net